import { expect } from "@playwright/test"

export class LoginPage {

    constructor(page) {
        this.page = page
        this.signupButton = page.locator('[data-qa="go-to-signup-button"]')
    }

    moveToSignup = async () => {
        await this.signupButton.waitFor()
        await this.signupButton.click()
        await this.page.waitForURL(/\/signup/, {timeout: 3000})
    }
}